.section-number-1::after, .section-number-2::after, .section-number-3::after, .section-number-4::after {
content: ".";  
}

nav#table-of-contents {
  background-color: #f7f7f7;
  display: inline-block;
  padding: .13em .1em;
  border-radius: .25rem;
  border-style: solid;
  border-width: 1px;
  border-radius: .25rem;
  padding: 5px;
}

nav#table-of-contents h2 {
  margin-top: .2em;
  margin-left: .2em;
  margin-bottom: 0;
}

nav#table-of-contents ul {
  padding: 0;
  margin-left: .5em;
  margin-right: .5em;
  margin-top: .5em;
  margin-bottom: .4em;
}

nav#table-of-contents  li {
  list-style-type: none;
}

div.footdef:not(:first-child) {
  padding-top: 1em;
}

div.footpara::before {
  content: " – ";
}

.footpara {
  display: inline;
}

#archive {
  text-align: center;
  padding-top: 2em;
}

.post-date {
  padding-top: 1.3em;
}

p, ul, ol, dl {
  line-height: 1.5em;
}

li:not(:first-child) {
  padding-top: .25em;
}

div.footdef > sup:first-child {
  vertical-align: middle;
  font-size: inherit;
}

sup {
  line-height: 0em;
}

a {
  color: blue;
  text-decoration: underline;
}

a:visited {
  color: purple;
  text-decoration: underline;
}

a:hover, a:hover code {
  background: blue;
  color: #eee;
  text-decoration: none;
}

a:hover:visited, a:hover code {
  background: purple;
  color: #eee;
  text-decoration: none;
}

a:hover code {
  padding-top: 0;
  padding-bottom: 0;
}

body {
  background: #fffceb;
  color: #000;
  font-family: georgia, times, "Liberation Serif", serif;
}

.taglist {
  padding-top: 1.3em;
}

.flexcontainer {
  display: flex;
  flex-direction: row;
}

.bigitem {
  text-align:right;
  flex: 2 0 0;
}
.smallitem {
  flex: 1 0 0;
}

@media screen and (max-width: 27.5em) {
  .flexcontainer {
    flex-direction: column;
  }

  .flexcontainer div {
    text-align: center;
  }
}

img {
  max-width: 100%;
  height: auto;
  display: block;
  margin: 1em auto 1em;
}

#content, #preamble, #postamble {
  margin-left: auto;
  margin-right: auto;
  padding-right: .5em;
  padding-left: .5em;
  max-width: 42em;
}

/*
#content p, #content ul, #content ol, #content dl {
    max-width: 42em;
}
*/

#postamble {
  margin-top: 1em;
  text-align: center;
}

code {
  font-family: Consolas, monaco, monospace;
  background-color: #f0f0f0;
  padding: .13em .1em;
  border-radius: .25rem;
}


.src, .example {
  background-color: #f6fffe;
  border-style: solid;
  border-width: 5px;
  border-radius: .25rem;
  padding: 5px;
  border-color: #cdecff;
  font-family: Consolas, monaco, monospace;
  overflow-x: auto;
}

ul.inline-list {
  padding-left: 0;
  padding-right: 0;

}

ul.inline-list, ul.inline-list li {
  display: inline;
}

ul.inline-list li {
  padding-right: 0.2em;
  padding-left: 0.2em;
}

nav {
  margin-top: .75em;
  margin-bottom: .75em;

}

ul.interpunct li {
  padding-right: 0;
  padding-left: 0;
}

ul.interpunct li:after {
  content: " · ";
  padding-right: .2em;
  padding-left: .2em;
}

ul.interpunct li:last-child:after {
  content: "";
}

#postamble p {
  margin-top: .4em;
  margin-bottom: .6em;
}

@media screen and (max-width: 832px) {
  #content, #preamble, #postamble {
    max-width: 30em;
  }
}

/* Archive/Tags */
/*
h1.title ~ h2.post-title {
  display: inline-block;

}

h1.title ~ div.post-date {
  display: inline-block;
}
*/
